<?php

if(!function_exists('mascot_core_educacion_sc_working_steps_holder_item_vc_map_modifier')) {
	/**
	 * Shortcodes vc_map modifier
	 */
	function mascot_core_educacion_sc_working_steps_holder_item_vc_map_modifier( $shortcode_base ) {
		//vc_remove_param( $shortcode_base, "display_type" );
		//vc_add_param( $shortcode_base, $attributes );
		//vc_add_params( $shortcode_base, $attributes );
	}
}



if(!function_exists('mascot_core_educacion_sc_working_steps_holder_item_render')) {
	/**
	 * Renders shortcodes HTML
	 */
	function mascot_core_educacion_sc_working_steps_holder_item_render( $attr, $content = null ) {

		$args = array(
			'custom_css_class' => '',
			'image' => '',

			'title' => '',
			'text' => '',
			'highlighted' => '',
			'push_left' => '',
			'push_right' => '',

			'css' => '',
		);
		$params = shortcode_atts($args, $attr);
		$params['content']= $content;

		//classes
		$classes = array();
		$classes[] = 'tm-sc tm-sc-working-steps-item';
		$classes[] = $params['custom_css_class'];
		$classes[] = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $params['css'], ' ' ) );

		if($params['highlighted'] === 'yes') {
			$classes[] = 'working-steps-item-highlighted';
		}
		if($params['push_left'] === 'yes') {
			$classes[] = 'working-steps-push-left';
		}
		if($params['push_right'] === 'yes') {
			$classes[] = 'working-steps-push-right';
		}
		
		$params['classes'] = $classes;


		//Produce HTML version by using the parameters (filename, variation, folder name, parameters, shortcode_ob_start)
		$html = educacion_mascot_get_shortcode_template_part( 'working-steps-item', null, 'working-steps/tpl', $params, true );

		return $html;
	}
}